Cyberduck Mountain Duck CLI

#10138 closed defect (fixed)

Problem with empty MLSD response

Reported by: wellhardh Owned by: dkocher
Priority: normal Milestone: 6.3.3
Component: ftp Version: 6.2.10
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.12

Description

When trying to upload a file to an empty directory a dialog appears showing "Interoperability failure, 200 Using ASCII mode for transferring files. Please contact your web hosting service provider for assistance".

We have tracked down the problem to the MLSD command. It looks like cyberduck is not waiting for the "226 Transfer complete" message before continuing with the STAT. After this the client is out of sync and at the end of the log it mistreats the 200 response as a response to the PASV command and thus showing the dialog.

Log:

PASV
227 Entering Passive Mode. (*censored*)
[Replacing PASV mode reply address *censored* with *censored*]
MLSD
150 Opening BINARY mode data connection for /aDONE-SEPT2017/
STAT /aDONE-SEPT2017
226 Transfer complete.
CWD /aDONE-SEPT2017
213-status of "/aDONE-SEPT2017":
 drwxr-xr-x   1 1009       wheel           512 Nov 14 04:10 /aDONE-SEPT2017
213 End of Status
TYPE A
250 Current directory is now /aDONE-SEPT2017/.
PASV
200 Using ASCII mode for transferring files.
CWD /aDONE-SEPT2017
227 Entering Passive Mode. (*censored*)
TYPE A
250 Current directory is now /aDONE-SEPT2017/.
PASV
200 Using ASCII mode for transferring files.
QUIT
227 Entering Passive Mode. (*censored*)

Change History (4)

comment:1 Changed on Dec 28, 2017 at 10:00:10 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:2 Changed on Dec 28, 2017 at 10:00:38 PM by dkocher

  • Milestone set to 7.0
  • Status changed from new to assigned

Can you name the server software that will allow us to reproduce the problem.

comment:3 Changed on Jan 5, 2018 at 3:36:43 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r43612.

comment:4 Changed on Jan 9, 2018 at 2:36:45 PM by dkocher

  • Milestone changed from 7.0 to 6.3.3
Note: See TracTickets for help on using tickets.